<?php
runAlways();
//******************************************************************************
function runAlways()
{
  define("cROOT_PATH", realpath(dirname(realpath(__FILE__)) . "/../../"));

  require("./settings.php");

  if (isset($GLOBALS['cfg']['db']['adodb_path'])) {
    $GLOBALS['cfg']['db']['adodb_path'] = fixPath($GLOBALS['cfg']['db']['adodb_path']);
  } else {
    $GLOBALS['cfg']['db']['adodb_path'] = fixPath(cROOT_PATH) . 'lib/adodb/';
  }
}
//******************************************************************************
function includeDOMTT()
{
?>
  <script type="text/javascript" language="javascript" src="../../lib/domTT/domLib.js"></script>
  <script type="text/javascript" language="javascript" src="../../lib/domTT/domTT.js"></script>
  <script language="JavaScript" type="text/javascript">
    var domTT_useGlobalMousePosition = false;
    var domTT_trail = true;
    var domTT_activateDelay = 0;
    var domTT_onePopup = true;
    var domTT_direction = 'southeast';
    var domTT_offsetX = domLib_isIE ? -2 : 0;
    var domTT_mouseHeight = domLib_isIE ? 17 : 19;
  </script>
  <?php
}
//******************************************************************************
function getConfig()
{
  global $config;
  $cfg_path = "../../configs/";
  //Prevent relative paths and remote files
  //http://voodoo.domain/index.php?config=http://blabla.com/exploit.txt
  if (isset($_GET['config']) && !preg_match("/\\.\\./", $_GET['config']) && is_file($cfg_path . $_GET['config'])) {
    $config = $_GET['config'];
  } else {
    $config = "cfg-default.php";
  }

  return $cfg_path . $config;
}
//******************************************************************************

function setSkin()
{
  $cookie_expire_time = time() + 60 * 60 * 24 * 30 * 12;

  global $skin, $skin_data, $stylesheet;
  ob_start();

  if (!$GLOBALS['settings']['display']['skin_selector']) {
    $skin = $GLOBALS['settings']['display']['default_skin'];
  } elseif (isset($_GET['skin'])) {
    $skin = $_GET['skin'];
    setcookie('vsp_skin', $_GET['skin'], $cookie_expire_time);
  } elseif (!isset($_COOKIE['vsp_skin'])) {
    setcookie('vsp_skin', $GLOBALS['settings']['display']['default_skin'], $cookie_expire_time);
    $skin = $GLOBALS['settings']['display']['default_skin'];
  } else {
    $skin = $_COOKIE['vsp_skin'];
  }

  if (strlen($skin) < 1) {
    $skin = $GLOBALS['settings']['display']['default_skin'];
  }

  $stylesheet = "./skins/$skin/$skin.css";

  $fp_skin = fopen($stylesheet, "rb");
  if (!$fp_skin) {
    if ($skin == $GLOBALS['settings']['display']['default_skin']) {
      ob_end_flush();
      print("<html><head></head><body>ERROR: Default skin \"$stylesheet\" not found!</body></html>");
    } else {
      setcookie('vsp_skin', $GLOBALS['settings']['display']['default_skin'], $cookie_expire_time);
      ob_end_flush(); ?>
      <html>

      <head> </head>

      <body>
        <script>
          window.location = "<?php print "$_SERVER[PHP_SELF]?config=$GLOBALS[config]";
                              if (isset($_GET['sort'])) {
                                print "&amp;sort = $_GET[sort]";
                              } ?>"
        </script>
      </body>

      </html>
  <?php
    }
    exit();
  } else {
    ob_end_flush();
    $line = fgets($fp_skin, 255);
    fclose($fp_skin);
    $skin_data['name'] = $skin;
    if (preg_match('/<author>(.*)<\/author>/i', $line, $regs)) {
      $skin_data['author'] = $regs[1];
    } elseif (!isset($skin_author_name) || strlen($skin_author_name) <= 0) {
      $skin_data['author'] = "anon";
    }
    if (preg_match('/<email>(.*)<\/email>/i', $line, $regs)) {
      $skin_data['email'] = $regs[1];
    } else {
      $skin_data['email'] = "";
    }
  }
}
//******************************************************************************
function drawMainHeading()
{
  ?>
  <table class="vspmain" width="100%">
    <tr>
      <td height="25" width="100%" class="cellHeading" style="text-align:center;font-size:larger" colspan="3"><?php print $GLOBALS['cfg']['display']['server_title']; ?></td>
    </tr>
    <?php
    if ($GLOBALS['settings']['display']['server_info']) {
    ?>
    <tr>
      <td class="cell1" style="text-align: center"><a href="https://www.krillinsworld.com">
        <img alt="" height="75" width="200" style="padding: 3px 0 0 0;border-radius: 5px;" src="<?php print $GLOBALS['cfg']['display']['server_image']; ?>"></a></td>
      <td class="cell1" width="100%" style="vertical-align: center; text-align: left">
        <?php print $GLOBALS['cfg']['display']['server_info']; ?> </td>
      <td class="cell1" style="text-align: center"><a href="https://www.krillinsworld.com/vsp/">
        <img alt="" height="75" width="75" style="padding: 3px 0 0 0;border-radius: 5px;" src="<?php print $GLOBALS['cfg']['display']['v_logo']; ?>"></a></td>
    </tr>
    <?php
    } ?>
  </table>
<?php
}
//******************************************************************************
function drawMenu()
{
?>
  <table class="vsppadding1" style="border-width: 0; border: 0" width="100%">
    <tr>
      <td height="20" width="12.5%" class="cellSubHeading" style="text-align: center; font-size: larger"><a href="index.php?config=<?php print $GLOBALS['config']; ?>" style="text-decoration:none;"><b>Player Stats</b></a></td>

      <?php
      if ($GLOBALS['settings']['display']['gamestats']) {
      ?>
      <td width="12.5%" class="cellSubHeading" style="text-align: center; font-size: larger"><a href="gamestat.php?config=<?php print $GLOBALS['config']; ?>" style="text-decoration:none;"><b>Game Stats</b></a></td>
      <?php } ?>

      <td width="12.5%" class="cellSubHeading" style="text-align: center; font-size: larger"><a href="awardstat.php?config=<?php print $GLOBALS['config']; ?>" style="text-decoration:none;"><b>Award Stats</b></a></td>
      <!--<td width="12.5%" class="cellSubHeading" style="text-align: center">Server Stats</td>-->
      <!--<td width="12.5%" class="cellSubHeading" style="text-align: center">Violations</td>-->
      <td width="12.5%" class="cellSubHeading" style="text-align: center; font-size: larger"><a href="https://krillinsworld.com/forum/index.php/board,30.0.html" style="text-decoration:none;"><b>F.A.Q.</b></a></td>



      <?php
      if ($GLOBALS['settings']['display']['skin_selector']) {
        if ($handle = opendir('./skins')) {
          while (false !== ($file = readdir($handle))) {
            if (!preg_match("/^\\./", $file)) {
              //echo "$file\n";
              $skin_file[] = $file;
            }
          }
          closedir($handle);
        } ?>

        <?php
        if (count($skin_file) > 1) {
          asort($skin_file); ?>
          <td width="12.5%" class="cellSubHeading" style="text-align: center; font-size: larger">
            <b>Skins:</b>
            <form style="display:inline" method="post" action="<?php print "$_SERVER[PHP_SELF]"; ?>">

              <?php
              $query_str = $_SERVER['QUERY_STRING'];
              $query_str = preg_replace("/&amp;skin=[^&]*/i", '', $query_str); ?>

              <select style="text-align: center;" name="skin_select" size="1" class="cellSubHeading" OnChange="location.href='<?php print $_SERVER['PHP_SELF'] . "?" . htmlentities(preg_replace("/&skin=[^&]+/", "", $query_str)) . "&amp;skin="; ?>'+form.skin_select.options[form.skin_select.selectedIndex].value">
                <?php
                foreach ($skin_file as $num => $file) {
                  //echo "$file\n"; 
                ?>
                <option <?php if ($GLOBALS['skin'] == "$file") { echo "selected"; } ?> style="text-align: center;" class="cellSubHeading" value="<?php print $file; ?>"><?php print $file; ?></option>
                <?php } ?>
              </select>
            </form>
          </td>
      <?php
        }
      } ?>

    </tr>
  </table>
<?php
}
//******************************************************************************
function drawCredits()
{
  global $db, $skin_data;

  $sql = "SELECT value
        FROM {$GLOBALS['cfg']['db']['table_prefix']}gamedata
        WHERE name=" . $db->qstr("Last updated time");
  $rs = $db->Execute($sql);
  if ($rs && !$rs->EOF) {
    $last_update_time = $rs->fields[0];
  } else {
    $last_update_time = "?";
  }
  $rs = '';
  $sql = "SELECT value
        FROM {$GLOBALS['cfg']['db']['table_prefix']}gamedata
        WHERE name=" . $db->qstr("VSP Version");
  $rs = $db->Execute($sql);
  if ($rs && !$rs->EOF) {
    $vsp_version = $rs->fields[0];
  } else {
    $vsp_version = "?";
  } ?>
  <!-- credits   table begin ##################################################-->
  <table class="cellHeading vsppadding2" width="100%">
    <tr>
      <td colspan="3" width="30%" class="cellHeading" style="text-align: center;">&nbsp;Powered by <a href="https://www.krillinsworld.com/vsp/">Voodoo Stats Processor</a> &copy; 2004&thinsp;-&thinsp;<?php echo date("Y"); ?> by <a href="#" title="krillinsworld <aT> gmail <DOT> com">myrddin | Krillin</a>&nbsp;</td>
    </tr>

    <tr>
      <td width="35%" class="cellSubHeading" style="text-align: left; border-right-width: 0">&nbsp;<?php print "theme:bismarck by <a href=\"#\" title=\"myrddin8 <aT> gmail <DOT> com\">myrddin</a>"; ?>&nbsp;</td>
      <td width="30%" class="cellSubHeading" style="text-align: center; border-right-width: 0; border-left-width: 0;">&nbsp;<a href="https://www.krillinsworld.com/vsp/">VSP</a> v<?php print $vsp_version; ?>,&nbsp;Last Updated @ <?php print $last_update_time; ?></td>
      <td width="35%" class="cellSubHeading" style="text-align: right; border-left-width: 0">&nbsp;<?php print "skin:$skin_data[name] by <a href=\"#\" title=\"$skin_data[email]\">$skin_data[author]</a>"; ?>&nbsp;</td>
    </tr>
  </table>
  <!-- credits   table end   ##################################################-->
<?php
}
//******************************************************************************

?>